DOM::HTMLAppletElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLAppletElement Class Reference

An embedded Java applet. More...

`#include <html_object.h>`

Inheritance diagram for DOM::HTMLAppletElement:

[legend]
Collaboration diagram for DOM::HTMLAppletElement:

[legend]
List of all members.

## Public Member Functions
| HTMLAppletElement ()
| This file is part of the DOM implementation for KDE.
| HTMLAppletElement (const HTMLAppletElement &other)
| HTMLAppletElement (const Node &other)
HTMLAppletElement & | operator= (const HTMLAppletElement &other)
HTMLAppletElement & | operator= (const Node &other)
DOMString | align () const
| Aligns this object (vertically or horizontally) with respect to its surrounding text.
void | setAlign (const DOMString &)
| see align
DOMString | alt () const
| Alternate text for user agents not rendering the normal content of this element.
void | setAlt (const DOMString &)
| see alt
DOMString | archive () const
| Comma-separated archive list.
void | setArchive (const DOMString &)
| see archive
DOMString | code () const
| Applet class file.
void | setCode (const DOMString &)
| see code
DOMString | codeBase () const
| Optional base URI for applet.
void | setCodeBase (const DOMString &)
| see codeBase
DOMString | height () const
| Override height.
void | setHeight (const DOMString &)
| see height
long | getHspace () const
| Horizontal space, in pixels, to the left and right of this image, applet, or object.
void | setHspace (long)
| see hspace
DOMString | hspace () const
| This class or method is obsolete, it is provided for compatibility only.
void | setHspace (const DOMString &)
| This class or method is obsolete, it is provided for compatibility only.
DOMString | name () const
| The name of the applet.
void | setName (const DOMString &)
| see name
DOMString | object () const
| Serialized applet file.
void | setObject (const DOMString &)
| see object
long | getVspace () const
| Vertical space, in pixels, above and below this image, applet, or object.
void | setVspace (long)
| see vspace
DOMString | vspace () const
| This class or method is obsolete, it is provided for compatibility only.
void | setVspace (const DOMString &)
| This class or method is obsolete, it is provided for compatibility only.
DOMString | width () const
| Override width.
void | setWidth (const DOMString &)
| see width
## Protected Member Functions
| HTMLAppletElement (HTMLAppletElementImpl *impl)

## Detailed Description

An embedded Java applet.

See the APPLET element definition in HTML 4.0. This element is deprecated in HTML 4.0.

Definition at line 50 of file html_object.h.

## Constructor & Destructor Documentation

HTMLAppletElement::HTMLAppletElement | ( |  | ) |

| This file is part of the DOM implementation for KDE. (C) 1999 Lars Knoll (knoll@kde.org) This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; see the file COPYING.LIB. If not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. Id html_object.cpp,v 1.13.2.1 2003/01/03 21:09:24 mueller Exp Definition at line 29 of file html_object.cpp.

## Member Function Documentation

DOMString HTMLAppletElement::align | ( |  | ) | const

| Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 59 of file html_object.cpp.

void HTMLAppletElement::setAlign | ( | const DOMString & |  | ) |

| see align Definition at line 65 of file html_object.cpp.

DOMString HTMLAppletElement::alt | ( |  | ) | const

| Alternate text for user agents not rendering the normal content of this element. See the alt attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 70 of file html_object.cpp.

void HTMLAppletElement::setAlt | ( | const DOMString & |  | ) |

| see alt Definition at line 76 of file html_object.cpp.

DOMString HTMLAppletElement::archive | ( |  | ) | const

| Comma-separated archive list. See the archive attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 81 of file html_object.cpp.

void HTMLAppletElement::setArchive | ( | const DOMString & |  | ) |

| see archive Definition at line 87 of file html_object.cpp.

DOMString HTMLAppletElement::code | ( |  | ) | const

| Applet class file. See the code attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 92 of file html_object.cpp.

void HTMLAppletElement::setCode | ( | const DOMString & |  | ) |

| see code Definition at line 98 of file html_object.cpp.

DOMString HTMLAppletElement::codeBase | ( |  | ) | const

| Optional base URI for applet. See the codebase attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 103 of file html_object.cpp.

void HTMLAppletElement::setCodeBase | ( | const DOMString & |  | ) |

| see codeBase Definition at line 109 of file html_object.cpp.

DOMString HTMLAppletElement::height | ( |  | ) | const

| Override height. See the height attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 114 of file html_object.cpp.

void HTMLAppletElement::setHeight | ( | const DOMString & |  | ) |

| see height Definition at line 120 of file html_object.cpp.

long HTMLAppletElement::getHspace | ( |  | ) | const

| Horizontal space, in pixels, to the left and right of this image, applet, or object. See the hspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 136 of file html_object.cpp.

void HTMLAppletElement::setHspace | ( | long |  | ) |

| see hspace Definition at line 142 of file html_object.cpp. References QString::number().

DOMString HTMLAppletElement::hspace | ( |  | ) | const

| This class or method is obsolete, it is provided for compatibility only. Definition at line 125 of file html_object.cpp.

void HTMLAppletElement::setHspace | ( | const DOMString & |  | ) |

| This class or method is obsolete, it is provided for compatibility only. Definition at line 131 of file html_object.cpp.

DOMString HTMLAppletElement::name | ( |  | ) | const

| The name of the applet. See the name attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 147 of file html_object.cpp.

void HTMLAppletElement::setName | ( | const DOMString & |  | ) |

| see name Definition at line 153 of file html_object.cpp.

DOMString HTMLAppletElement::object | ( |  | ) | const

| Serialized applet file. See the object attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 158 of file html_object.cpp.

void HTMLAppletElement::setObject | ( | const DOMString & |  | ) |

| see object Definition at line 164 of file html_object.cpp.

long HTMLAppletElement::getVspace | ( |  | ) | const

| Vertical space, in pixels, above and below this image, applet, or object. See the vspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 180 of file html_object.cpp.

void HTMLAppletElement::setVspace | ( | long |  | ) |

| see vspace Definition at line 186 of file html_object.cpp. References QString::number().

DOMString HTMLAppletElement::vspace | ( |  | ) | const

| This class or method is obsolete, it is provided for compatibility only. Definition at line 169 of file html_object.cpp.

void HTMLAppletElement::setVspace | ( | const DOMString & |  | ) |

| This class or method is obsolete, it is provided for compatibility only. Definition at line 175 of file html_object.cpp.

DOMString HTMLAppletElement::width | ( |  | ) | const

| Override width. See the width attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 192 of file html_object.cpp.

void HTMLAppletElement::setWidth | ( | const DOMString & |  | ) |

| see width Definition at line 198 of file html_object.cpp.

The documentation for this class was generated from the following files:

- html_object.h
- html_object.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:39:23 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001